#
# spec file for package python-mox
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-mox
Version:        0.5.3
Release:        14.2
Url:            http://code.google.com/p/pymox/
Summary:        Mock object framework
License:        Apache-2.0
Group:          Development/Languages/Python
Source:         http://pypi.python.org/packages/source/m/mox/mox-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  python-devel
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
Mox is a mock object framework for Python based on the
Java mock object framework EasyMock.

%prep
%setup -q -n mox-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%check
python mox_test.py

%files
%defattr(-,root,root,-)
%doc COPYING
%{python_sitelib}/*

%changelog
* Mon Jun 11 2012 saschpe@suse.de
- Run testsuite
* Mon Mar 12 2012 saschpe@gmx.de
- Use upstream tarball
* Wed Dec 28 2011 alexandre@exatati.com.br
- Remove CFLAGS from spec file.
* Thu Nov 24 2011 alexandre@exatati.com.br
- Regenerate spec file with py2pack;
- Fix License tag to SPDF spec
- Include COPYING file.
* Wed May  4 2011 alexandre@exatati.com.br
- Regenerate spec file with py2pack;
- Bzip2 source file;
- Remove unnecesary BuildRequires.
* Mon Aug 16 2010 alexandre@exatati.com.br
- Update to 0.5.3;
- Spec file cleaned with spec-cleaner.
* Fri Oct  9 2009 alexandre@exatati.com.br
- Fixed Requires tag in spec file (removed python-django).
* Fri Oct  9 2009 alexandre@exatati.com.br
- Update to 0.5.1.
* Fri Oct  9 2009 alexandre@exatati.com.br
- Initial package (0.5.0) for openSUSE.
